import { jsx } from "react/jsx-runtime";
import { Graph as Graph$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Graph = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Graph", ...props, children: /* @__PURE__ */ jsx(Graph$1, { weight: variant }) });
  }
);
Graph.displayName = "Graph";
Object.assign(Graph, { isGdsIcon: true });
export {
  Graph
};
